| Python Script Engine 8.3 GL Studio Editor Python Script API

Public Member Functions | List of all members
DocumentInfo Class Reference

## Public Member Functions
unsigned long | GetObjectCount ()
unsigned long | GetPolygonCount ()
unsigned long | GetGroupCount ()
unsigned long | GetVertexCount ()
unsigned long | GetComponentCount ()
unsigned long | GetTotalTextureCount ()
unsigned long | GetTextureCount ()
unsigned long | GetTextureMemoryUsageKB ()
unsigned long | GetTextureBandwidthUsageKB ()
unsigned long | GetFontCount ()
unsigned long | GetFontTextureMemoryUsageKB ()
unsigned long | GetFontTextureBandwidthUsageKB ()

## Detailed Description

Editor interface for DocumentInfo

## Member Function Documentation

## ◆ GetComponentCount()

unsigned long DocumentInfo::GetComponentCount | ( |  | ) |

Get the number of components in the doc.

Returns
  Total number of components in the doc

## ◆ GetFontCount()

unsigned long DocumentInfo::GetFontCount | ( |  | ) |

Get the number of fonts in the doc.

Returns
  Total number of fonts in the doc

## ◆ GetFontTextureBandwidthUsageKB()

unsigned long DocumentInfo::GetFontTextureBandwidthUsageKB | ( |  | ) |

Get the font texture bandwidth usage in KB.

Returns
  Total font texture bandwidth usage in KB

## ◆ GetFontTextureMemoryUsageKB()

unsigned long DocumentInfo::GetFontTextureMemoryUsageKB | ( |  | ) |

Get the font texture memory usage in KB.

Returns
  Total font texture memory usage in KB

## ◆ GetGroupCount()

unsigned long DocumentInfo::GetGroupCount | ( |  | ) |

Get the number of groups in the doc.

Returns
  Total number of groups in the doc

## ◆ GetObjectCount()

unsigned long DocumentInfo::GetObjectCount | ( |  | ) |

Get the number of objects in the doc.

Returns
  Total number of objects in the Document

## ◆ GetPolygonCount()

unsigned long DocumentInfo::GetPolygonCount | ( |  | ) |

Get the number of polygons in the doc.

Returns
  Total number of polygons in the doc

## ◆ GetTextureBandwidthUsageKB()

unsigned long DocumentInfo::GetTextureBandwidthUsageKB | ( |  | ) |

Get the texture bandwidth usage in KB.

Returns
  Total texture bandwidth usage in KB

## ◆ GetTextureCount()

unsigned long DocumentInfo::GetTextureCount | ( |  | ) |

Get the number of referenced textures in the doc.

Returns
  Total number of referenced textures in the doc

## ◆ GetTextureMemoryUsageKB()

unsigned long DocumentInfo::GetTextureMemoryUsageKB | ( |  | ) |

Get the texture memory usage in KB.

Returns
  Total texture memory usage in KB

## ◆ GetTotalTextureCount()

unsigned long DocumentInfo::GetTotalTextureCount | ( |  | ) |

Get the total number of textures in the doc even if they're not in use.

Returns
  Total number of textures in the doc

## ◆ GetVertexCount()

unsigned long DocumentInfo::GetVertexCount | ( |  | ) |

Get the number of vertices in the doc.

Returns
  Total number of vertices in the doc

The documentation for this class was generated from the following file:

- DocumentInfo.i